# CDSi Tester
This endpoint provides a basic automated testing process for STC ImmuCast 1 compatible immunization forecasting

## How To Use
1. Export the latest CDSi test scenarios in .csv format from the current [*CDSi Test Cases – Healthy Childhood and Adult* publication found here](https://www.cdc.gov/vaccines/programs/iis/cdsi.html#test-cases).
2. Ensure that the final column of the .csv does **not** contain newlines - the CDC has a bad habit of including them.
3. Place the .csv into the CDSi_Test directory, and modify the config.php file to point towards it.
4. Ensure the endpoint in config.php is correct (this can be any STC ImmuCast 1 compatible endpoint).
5. In your browser, navigate to where the /OpenCast/CDSi_Test directory is being hosted and wait while the process is executed.

## Metrics for Passing Tests
All conditions must be met for a passing mark on each test case:
- Recommended Date for the Group matched the CDC Expected Recommended Date.
- Previously administered vaccines are marked as valid or invalid as expected
- Vaccine Group being tested appeared if it should have (i.e. not appearing when series was complete, etc)

## Disclaimer
Both ImmuCast 1 and HLN ICE are products that pre-date CDSi publications, and as such, do not directly ingest CDSi data into their forecasting logic. 

While comparing the outputs of these products to the CDSi test cases gives us an accurate benchmark, many forecasting decisions may be more nuanced than this tester allows for based on the origin ACIP recommendation.