<?php
global $config;

// Fill in the following values for your environment
$config['iceEndpoint']  = 'http://162.247.89.119:32775/opencds-decision-support-service/evaluate'; // If you haven't changed this, this is pointing to Brian's home server. You should change this to your own ICE endpoint, please!
$config['timezone']     = 'America/New_York';

// ICE settings

// If the ICE endpoint has Dose Override enabled, set this to true
// Otherwise, compromised vaccinations will be excluded from the input
// https://cdsframework.atlassian.net/wiki/spaces/ICE/pages/691470371/Dose+Override+Feature
$config['ice']['doseOverride'] = false;

// OpenCast settings
// !! Modify in forecast_config.json !!
$config['OC']['forecastConfig'] = json_decode(file_get_contents('configuration/forecast_config.json'), true);

// Suppress first dose
$config['OC']['suppressFirstDose'] = $config['OC']['forecastConfig']['suppressFirstDose'];

// Minimum age for a vaccine group to be recommended (years)
$config['OC']['minAge'] = [];
foreach ($config['OC']['forecastConfig']['minAgeDisplay'] as $group) {
    $config['OC']['minAge'][$group['group']] = $group['minAge'];
}

// Vaccine family grace periods (days)
$config['OC']['gracePeriod'] = $config['OC']['forecastConfig']['gracePeriod'];
?>