<?php

// The Pneumococcal Vaccine group is a special case - STC has two definative vaccine groups (PCV and PPSV) whereas ICE has a single vaccine group (PNEUMO)
// ICE will generally return a CVX code for these vaccines, so we can utilize the CVX code to determine which STC vaccine group to map it to 

function pneumoGroup($cvx) {

    // Load pneumococcal vaccine group map from pneumoMap.csv
    $pneumoMap = array_map('str_getcsv', file('translationData/pneumoMap.csv'));

    $cvx = intval($cvx);

    // The CVX is in the first column, and correct group in the second
    foreach ($pneumoMap as $row) {
        if (intval($row[0]) == $cvx) {
            return $row[1];
        }
    }

    // If we don't find a match, return 11 (PCV)
    return 11; 
}